Attribute VB_Name = "modCairo"
Option Explicit

'just to ensure "global visibility" of the "Cairo-Entry-Instance" throughout our Demoprojects Code-Modules
Public Property Get Cairo() As cCairo
Static StaticCairoInstance As cCairo

  If StaticCairoInstance Is Nothing Then
    Set StaticCairoInstance = New cCairo
  End If
  
  Set Cairo = StaticCairoInstance
End Property
